## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

# prevent executables from being installed
%global cargo_install_bin 0

%global crate ruzstd

Name:           rust-ruzstd
Version:        0.7.0
Release:        %autorelease
Summary:        Decoder for the zstd compression format

License:        MIT
URL:            https://crates.io/crates/ruzstd
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          ruzstd-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
A decoder for the zstd compression format.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/Readme.md
%doc %{crate_instdir}/optimizations.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hash-devel %{_description}

This package contains library source intended for building other packages which
use the "hash" feature of the "%{crate}" crate.

%files       -n %{name}+hash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * test fixtures not shipped
%cargo_test -- -- --exact --skip tests::decode_corpus::test_decode_corpus_files --skip tests::dict_test::test_dict_decoding --skip tests::fuzz_regressions::test_all_artifacts --skip tests::test_block_header_reading --skip tests::test_decode_from_to --skip tests::test_frame_decoder --skip tests::test_frame_header_reading --skip tests::test_specific_file --skip tests::test_streaming
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jul 24 2024 Michel Lind <salimma@fedoraproject.org> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#2264747

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 29 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Initial import (#2252142)
## END: Generated by rpmautospec
